/*
 *		Machine qui fait des fils flous
 */
/* -------------------------------------------------------------- */

typedef struct {
	unsigned long	magic;
	int		nbslots;	/* how many pics used ? */
	FloatImg	total;		/* computing workspace */
	FloatImg	wspace;		/* computing workspace */
	FloatImg	*slots;		/* circular buffer */
	int		next;		/* incremented with modulo */
	} A_Fifo;

#define MAGIC_FIFO	0xabcd9876

typedef struct {
	unsigned long	magic;

	int		blanks;		/* ???? */
	float		fk;
	int		preproc, postproc;

	int		step;		/* for fifo export */

	} ControlBloc;

#define MAGIC_CTRLB	0xabcdfefe

/* -------------------------------------------------------------- */

int export_fifo(char *fname, int step);

int insert_picture(FloatImg *src);

int create_fifo(int nbslot, int w, int h, int t);

/* -------------------------------------------------------------- */
/*
 *		funcs in 'sfx.c'  ---> sfx.h
 */
